<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="redis-client" target="risotto" engine="cheetah">
      <file>/etc/pki/ca-trust/source/anchors/ca_Redis.crt</file>
      <file>/etc/pki/tls/certs/redis.crt</file>
      <file owner_type="variable" owner="redis_client_key_owner" mode="400">/etc/pki/tls/private/redis.key</file>
      <!--file owner_type="variable" owner="redis_client_key_owner" mode="400" source="redis.pem">/etc/pki/tls/redis.pem</file-->
    </service>
  </services>
  <variables>
    <family name="redis" description="Redis">
      <variable name="redis_client_server_domainname" type="domainname" description="Nom de domaine du serveur" mandatory="True" supplier="Redis"/>
      <variable name="redis_client_username" description="Nom d'utilisateur" mandatory="True"/>
      <variable name="redis_client_password" type="password" description="Mot de passe de connexion" mandatory="True" supplier="Redis:password"/>
      <variable name="redis_client_key_owner" type="unix_user" description="Key owner" mandatory="True" hidden="True">
        <value>apache</value>
      </variable>
    </family>
  </variables>
  <constraints>
    <fill name="normalize_family">
      <param type="variable">domain_name_eth0</param>
      <target>redis_client_username</target>
    </fill>
    <fill name="get_password">
      <param name="server_name" type="variable">redis_client_server_domainname</param>
      <param name="username" type="variable">domain_name_eth0</param>
      <param name="description">redis</param>
      <param name="type">cleartext</param>
      <param name="hide" type="variable">hide_secret</param>
      <target>redis_client_password</target>
    </fill>
  </constraints>
</rougail>
